name: Build and Push Docker Image

on:
  push:
    branches:
      - main

env:
  REGISTRY_URL: gitea.kobim.cloud

jobs:
  build:
    runs-on: ubuntu-latest
    steps:
      - name: Checkout repository actions
        uses: actions/checkout@v2
        
      - name: Setup Docker Environment
        uses: ./.github/actions/setup-docker-environment
        
      - name: Log in to Docker registry
        uses: docker/login-action@v3.3.0
        with:
          registry: ${{ env.REGISTRY_URL }}
          username: ${{ github.actor }}
          password: ${{ secrets.REGISTRY_TOKEN }}
          
      - name: Build and push Docker image
        uses: docker/build-push-action@v6.13.0
        with:
          context: .
          push: true
          tags: ${{ env.REGISTRY_URL }}/${{ github.repository_owner }}/${{ github.event.repository.name }}:latest
          platforms: |
            linux/amd64
            linux/arm64